org.apache.lucene.queries.function.valuesource

## Class MultiValueSource

- java.lang.Object
- - org.apache.lucene.queries.function.ValueSource
  - - org.apache.lucene.queries.function.valuesource.MultiValueSource

Direct Known Subclasses:
  VectorValueSource

    public abstract class MultiValueSource
    extends ValueSource

A `ValueSource` that abstractly represents `ValueSource`s for poly fields, and other things.

### Constructor Summary

Constructors
Constructor and Description
`MultiValueSource()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract int` `dimension()`

### Methods inherited from class org.apache.lucene.queries.function.ValueSource

`asDoubleValuesSource, asLongValuesSource, createWeight, description, equals, fromDoubleValuesSource, getSortField, getValues, hashCode, newContext, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultiValueSource

    public MultiValueSource()

### Method Detail

#### dimension

    public abstract int dimension()